import junit.framework.TestCase;
import java.io.*;



public class TestStatistics extends TestCase {
  /** TestStatistics tests various methods in the Statistics class.
 * It uses the JUnit framework to do so. If a test fails, it will
 * produce a failure message to the Test Output panel
 */ 

  public void testMode() {
      // test the mode() method
      int[] list = {3,3,4,4,1,2,9,9,9,8};
      Statistics s = new Statistics(list);
      assertEquals("Mode Failed",9,s.mode(list));     
  }
  
  // tests the average() method 
  public void testAverage() {
      int[] list = {3,3,4,4,1,2,9,9,9,8};
      Statistics s = new Statistics(list);
      double expected=5.2;
      double variance=0.1;
      if (!(s.average(list) < (expected-variance) && s.average(list) <(expected+variance)))
      fail("Average Failed");     
  }
    
  // tests maxPosition method which should return 1st occurrence of largest number in array
      public void testMaxPosition() {
      int[] list = {3,3,4,4,1,2,9,9,9,8};
      Statistics s = new Statistics(list);
      //Expected answer is 6 because 9 is the biggest number and the first occurrence of 9 is list[6]
      assertEquals("maxPosition method failed", 6, s.maxPosition(list,list.length));
  }
}