// Solution to Project 5.5
// Represents bank accounts

public class BankAccount {

   // Instance variables
   private String name;
   private double balance;

   // Constructor
   public BankAccount(String n, double b){
      name = n;
      balance = b;
   }

   // Accessors

   public double getBalance(){
      return balance;
   }

   public String getName(){
      return name;
   }

   public String toString(){
      return "Name:    " + name + "\n" +
             "Balance: " + balance;
   }

   // Mutators
   public String withdraw(double amount){
      if (amount > balance)
         return "Error in withdraw: amount exceeds balance";
      else{
         balance = balance - amount;
         return null;
      }
   }

   public String deposit(double amount){
      if (amount < 0)
         return "Error in deposit: amount must be >= 0";
      else{
         balance = balance + amount;
         return null;
      }
   }

   

   }
