// Solution to Project 4.10
// Compute a school district's salary schedule 
// Inputs 
//   starting salary  (integer)
//   annual percentage increase (integer) 
//   number of years for which to print the schedule (integer)

 
import java.util.Scanner;

public class Salary{
  
    private int startSal;
    private int inc;
    private int years;
    
    //Constructor
    public Salary (int s, int i, int y) {
        startSal=s;
        inc=i;
        years=y;
    } // end of instantiation/constructor
    
    // constructor to use if no parameters are passed
    public Salary () {
      startSal=0;
      inc=0;
      years=0;
    }

   // object already constructed with all integer values, will return an integer salary)   
    public int calculateSalary(){
      Scanner reader = new Scanner(System.in);
      double nextSal, multiplier;
      int endSal=0;
      if (startSal <= 0) {
         System.out.println ("Starting salary must be > 0");
         return(0);
      }
      else if (inc <= 0) {
        return (startSal);
      }
      else if (years <=0) {
        return (startSal);
      }
      else{
         multiplier = 1 + inc / 100.0; //since inc is a percentage
         nextSal = startSal;
         int yr=1;
         while (yr < years){
            if (yr < 11) {
               nextSal = nextSal * multiplier; 
            }
            yr = yr + 1;
           //System.out.printf("yr= %d,  nextSal= $%8.2f", yr, nextSal);
         }
         return ((int) nextSal);
      }
  } //end of calculateSalary
}
